%define upstream_name    MooseX-ClassAttribute
%define upstream_version 0.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Declare class attributes Moose-style
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Meta::Role::Attribute)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires) >= 0.50.0
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean) >= 0.110.0
BuildRequires: perl(namespace::clean) >= 0.200.0
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module allows you to declare class attributes in exactly the same way
as you declare object attributes, except using 'class_has()' instead of
'has()'. It is also possible to make these attributes immutable (and
faster) just as you can with normal Moose attributes.

You can use any feature of Moose's attribute declarations, including
overriding a parent's attributes, delegation ('handles'), and attribute
metaclasses, and it should just work.

The accessors methods for class attribute may be called on the class
directly, or on objects of that class. Passing a class attribute to the
constructor will not set it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/MooseX

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.290.0-5.mga10
+ Revision: 2204055
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.290.0-4.mga9
+ Revision: 1809815
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.290.0-3.mga8
+ Revision: 1505351
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.290.0-2.mga7
+ Revision: 1285059
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.290.0-1.mga7
+ Revision: 1128792
- update to 0.29

* Sun Jun 19 2016 pterjan <pterjan> 0.270.0-7.mga6
+ Revision: 1030333
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.270.0-6.mga6
+ Revision: 930752
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.270.0-5.mga5
+ Revision: 746588
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.270.0-4.mga5
+ Revision: 735781
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.270.0-3.mga5
+ Revision: 685524
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.270.0-2.mga4
+ Revision: 526484
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 jquelin <jquelin> 0.270.0-1.mga4
+ Revision: 437097
- update to 0.27

* Sun Jan 13 2013 umeabot <umeabot> 0.260.0-2.mga3
+ Revision: 370142
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.260.0-1.mga2
+ Revision: 107109
- update to 0.26

* Sat Feb 26 2011 jquelin <jquelin> 0.240.0-1.mga1
+ Revision: 60246
- update to 0.24

* Wed Feb 16 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 52585
- update to 0.23

* Tue Jan 25 2011 jquelin <jquelin> 0.210.0-1.mga1
+ Revision: 38595
- mageia rebuild
- imported package perl-MooseX-ClassAttribute


* Sun Nov 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.210.0-1mdv2011.0
+ Revision: 594880
- update to new version 0.21

* Tue Oct 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.200.0-1mdv2011.0
+ Revision: 586831
- new version

* Fri Jul 16 2010 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2011.0
+ Revision: 553961
- update to 0.16

* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.1
+ Revision: 504490
- update to 0.13

* Wed Feb 10 2010 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.1
+ Revision: 503783
- update to 0.11

* Thu Aug 27 2009 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2010.0
+ Revision: 421623
- update to 0.10

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2010.0
+ Revision: 405944
- rebuild using %%perl_convert_version

* Fri Jul 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2010.0
+ Revision: 394087
- update to new version 0.09

* Mon May 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2010.0
+ Revision: 371864
- new version

* Thu Nov 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2009.1
+ Revision: 302851
- update to new version 0.07

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2009.1
+ Revision: 292558
- update to new version 0.06

* Wed Jul 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2009.0
+ Revision: 236406
- import perl-MooseX-ClassAttribute


* Wed Jul 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2009.0
- initial mdv release, generated with cpan2dist
